Cross compiling a m68k linux kernel
===================================


Installation
------------

1. Install docker
2. Run `build.sh`
3. Download a kernel and place it into the data folder
4. If you already have a .config then copy it also into the data folder


Running
-------

1. Run `start.sh` - this brings you to a bash inside the container
  * The wording dir (/storage) is a volume in docker
  * The /data folder is shared with the host
2. Unpack the kernel from /data into /storage
3. Change into the kernel directory
4. Create a config
  * If you have already a config
    1. Copy your .config from /data, if you have one
    2. `make oldconfig` for manual selection of the new features or `make olddefconfig` for automatic choices
  * If you want a specific default config
    1. Copy `arch/m68k/config/__config__` to `.config`
    2. `make oldconfig` for manual selection of the new features or `make olddefconfig` for automatic choices
  * For the default config    
    1. `make defconfig`
5. Configure it further with `make menuconfig`
6. Build the kernel with `make vmlinux -j1` (replace the 1 with the number of cores it should run on)
7. Copy vmlinux to /data and your machine
8. Goto 5 when you want changes
